Description

It would be useful to develop a function for removing adjacent labels with the same content, giving a distance (in map units or in canvas

units) as a parameter. AFAIK this is currently not possible in QGIS.

History

#1 - 2016-07-04 10:54 PM - Andreas Neumann

Hi Paolo,

Can you be more specific? For which geometry types? What is the use case?

BTW: this should be changed from bug report to a feature request. It is not a bug, if a feature is missing.

Andreas

#2 - 2016-07-04 11:04 PM - Paolo Cavallini

- Tracker changed from Bug report to Feature request

This holds true for any geometry.

#3 - 2016-07-04 11:21 PM - Harrissou Santanna

The use case: currently, this is somehow possible for line features when you have a nice topology (well connected). But if you do not have that clean topo,

you'll get all the same labels (which can look ugly or not professional).

You can also have a set of polygons sharing the same value  in a small area and you do not want to show too much labels (avoid crowding) and neither

want to merge these features for labeling purposes. This option can help.

#4 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2018-02-25 06:48 PM - Paolo Cavallini

A sample dataset should be added for more clarity.
